package com.education.model.dto;

import com.education.model.entity.GoalInfo;

public class StuGoalInfoRespDto extends GoalInfoDto {
    private Integer stuGoalInfoId;
    private Integer studentId;
    private Integer correctStatus;
    private String pAnswer;
    private Integer pScore;
    private String sAnswer;
    private Integer sScore;
    private String rAnswer;
    private Integer rScore;
    private String eAnswer;
    private Integer eScore;
    private String nAnswer;
    private Integer nScore;
    private String comment;

    public Integer getStuGoalInfoId() {
        return stuGoalInfoId;
    }

    public void setStuGoalInfoId(Integer stuGoalInfoId) {
        this.stuGoalInfoId = stuGoalInfoId;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public Integer getCorrectStatus() {
        return correctStatus;
    }

    public void setCorrectStatus(Integer correctStatus) {
        this.correctStatus = correctStatus;
    }

    public String getpAnswer() {
        return pAnswer;
    }

    public void setpAnswer(String pAnswer) {
        this.pAnswer = pAnswer;
    }

    public Integer getpScore() {
        return pScore;
    }

    public void setpScore(Integer pScore) {
        this.pScore = pScore;
    }

    public String getsAnswer() {
        return sAnswer;
    }

    public void setsAnswer(String sAnswer) {
        this.sAnswer = sAnswer;
    }

    public Integer getsScore() {
        return sScore;
    }

    public void setsScore(Integer sScore) {
        this.sScore = sScore;
    }

    public String getrAnswer() {
        return rAnswer;
    }

    public void setrAnswer(String rAnswer) {
        this.rAnswer = rAnswer;
    }

    public Integer getrScore() {
        return rScore;
    }

    public void setrScore(Integer rScore) {
        this.rScore = rScore;
    }

    public String geteAnswer() {
        return eAnswer;
    }

    public void seteAnswer(String eAnswer) {
        this.eAnswer = eAnswer;
    }

    public Integer geteScore() {
        return eScore;
    }

    public void seteScore(Integer eScore) {
        this.eScore = eScore;
    }

    public String getnAnswer() {
        return nAnswer;
    }

    public void setnAnswer(String nAnswer) {
        this.nAnswer = nAnswer;
    }

    public Integer getnScore() {
        return nScore;
    }

    public void setnScore(Integer nScore) {
        this.nScore = nScore;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }
}
